Summary:	Anti-Virus Toolkit
Name:		clamav
Version:	0.96
Release:	1
License:	GPL
Group:		Security
URL:		http://www.clamav.net
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Clam AntiVirus is an anti-virus toolkit for UNIX. The main purpose of
this software is the integration with mail servers (attachment
scanning). The package provides a flexible and scalable multi-threaded
daemon, a command line scanner, and a tool for automatic updating via
Internet. It can be used in conjunction with amavisd-new and postfix to
provide a combined e-mail filter for spam and viruses.

%package	devel
Summary:	Development library and header files for the %{name} library
Group:		Development
Requires:	%{name}

%description	devel
This package contains the static %{name} library and its header
files.

%prep
%setup -q
%patch -p0

%build
#autoreconf -i -f -s
export CFLAGS="%optflags -fno-strict-aliasing"
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--disable-clamav \
	--disable-static \
	--enable-shared \
	--disable-milter \
	--enable-clamdtop \
	--with-dbdir=$HOME/.klamav/database \
	--with-user=root \
	--with-group=root
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# If the clamav user/group don't exist, add them:
if ! grep -q clamav /etc/group; then
        groupadd clamav
fi
if ! grep -q clamav /etc/passwd; then
        useradd -g clamav -c "clamav" -d /var/empty -s /bin/false clamav
fi

%files
%defattr(-,root,root,-)
/etc
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/bin/clamdscan
/usr/bin/clamscan
/usr/bin/clamconf
/usr/bin/freshclam
/usr/bin/sigtool
/usr/man
/usr/sbin

%files devel
%defattr(-,root,root,-)
/usr/bin/clamav-config
/usr/include
/usr/lib/pkgconfig
